Bug 202701 - Review Request: python-xeninst
Review Request: python-xeninst
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FC-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-15 17:38 EDT by Jeremy Katz
Modified: 2013-01-09 20:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 14:44:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2006-08-15 17:38:05 EDT
Spec URL: http://people.redhat.com/~katzj/xeninst/python-xeninst.spec
SRPM URL: http://people.redhat.com/~katzj/xeninst/python-xeninst-0.9-1.src.rpm
Description: Set of python modules to create and install Xen guests.

Note that this is a refactoring of the xenguest-install code currently included in the xen package itself.  It's being split out to ease maintenance as well as to make it easier for other things (virt-manager) to use it.
Comment 1 Jesse Keating 2006-08-15 20:06:08 EDT
Everything looks good.

rpmlint complains about the #! in some .py files.  Do these .py files have an
init or main?  Do they do anything if executed on their own?  

E: python-xeninst non-executable-script
/usr/lib/python2.4/site-packages/xeninst/util.py 0644
E: python-xeninst non-executable-script
/usr/lib/python2.4/site-packages/xeninst/FullVirtGuest.py 0644
E: python-xeninst non-executable-script
/usr/lib/python2.4/site-packages/xeninst/XenGuest.py 0644
E: python-xeninst non-executable-script
/usr/lib/python2.4/site-packages/xeninst/ParaVirtGuest.py 0644
Comment 2 Jeremy Katz 2006-08-15 22:10:57 EDT
Nope, but you want python -tt at the top to make it easier to a) add some test
coverage (not there yet, but I do actually want to write a little bit of that
:-) and b) so that you can always be sure that tabs/spaces are being used
consistently in files.
Comment 3 Jesse Keating 2006-08-15 22:45:00 EDT
Ok, I can waive on that.

Approved.  I'll let you make the ocmps changes (:

Added to dist-fc6.
Comment 4 Jeremy Katz 2006-08-16 14:44:53 EDT
Built and comps change made (well, as soon as intltool finishes translation
merging anyway)

Note You need to log in before you can comment on or make changes to this bug.